Package org.eclipse.cdt.core.dom.ast

# Class ASTTypeMatcher

java.lang.Object
org.eclipse.cdt.core.dom.ast.ASTTypeMatcher

All Implemented Interfaces:
  `IObjectMatcher`

public class ASTTypeMatcher extends Object implements IObjectMatcher

Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`ASTTypeMatcher()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isEquivalent(Object o1, Object o2)`
Returns `true` if the two objects are equal or represent the same type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ASTTypeMatcher

public ASTTypeMatcher()

## Method Details

### isEquivalent

public boolean isEquivalent(Object o1, Object o2)
Returns `true` if the two objects are equal or represent the same type.

Specified by:
  `isEquivalent` in interface `IObjectMatcher`